Distribution:   CCux
Packager:	Stefan Gottwald <gotti@ccux-linux.de>

Summary:	ExtUtils::ParseXS - converts Perl XS code into C code
Name:		perl-ExtUtils-ParseXS
Version:	2.15
Release:	3
License:	GNU/GPL 
URL:		http://search.cpan.org/search?module=ExtUtils-ParseXS
Group:		Development/Perl
Source0:	ExtUtils-ParseXS-%{version}.tar.gz
BuildRoot:	%{_tmppath}/%{name}-buildroot

%define		perlepoch	3
%define		perlversion	5.8.8

Requires:	perl = %{perlepoch}:%{perlversion}
BuildRequires:	perl = %{perlepoch}:%{perlversion}
BuildRequires:	perl-ExtUtils-CBuilder

%description
`ExtUtils::ParseXS' will compile XS code into C code by embedding the
constructs necessary to let C functions manipulate Perl values and
creates the glue necessary to let Perl access those functions. The
compiler uses typemaps to determine how to map C function parameters and
variables to Perl values.

The compiler will search for typemap files called *typemap*. It will use
the following search path to find default typemaps, with the rightmost
typemap taking precedence.
For more details see: http://search.cpan.org/search?module=ExtUtils-ParseXS

%post
ldconfig

%postun
ldconfig

%prep
%setup -n ExtUtils-ParseXS-%{version}

%build
perl Makefile.PL /usr
make

%install
make install DESTDIR=$RPM_BUILD_ROOT
# removing unused stuff
if [ -f "$RPM_BUILD_ROOT%_libdir/perl5/%{perlversion}/i686-linux/perllocal.pod" ]; then
	rm -f $RPM_BUILD_ROOT%_libdir/perl5/%{perlversion}/i686-linux/perllocal.pod
fi
# stripping package
find $RPM_BUILD_ROOT -type f -exec /usr/bin/strip --strip-debug '{}' ';' 

%files
%defattr(-,root,root)
%_libdir
%_mandir

%clean
rm -rf $RPM_BUILD_ROOT

%changelog
* Wed May 17 2006 Christian Wasem <wasem@ccux-linux.de> 2.15-3
- Rebuild against perl-5.8.8
* Sun Dec 04 2005 Stefan Gottwald <gotti@ccux-linux.de> 2.15-2
- Rebuild against perl-5.8.7
* Sat Dec 03 2005 Stefan Gottwald <gotti@ccux-linux.de> 2.15-1
- Initial Release
